summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Heim <phreak@gentoo.org>2006-05-23 10:14:37 +0000
committerChristian Heim <phreak@gentoo.org>2006-05-23 10:14:37 +0000
commit01cfc67f0ac727187a6faf0161f000bb44816b2e (patch)
treebc2218db3ea8713cfab444697d08004527bbe493 /net-scripts/net/br2684ctl.sh
parentWe're only at _pre17, so this is _pre18 (diff)
downloadbaselayout-vserver-01cfc67f0ac727187a6faf0161f000bb44816b2e.tar.gz
baselayout-vserver-01cfc67f0ac727187a6faf0161f000bb44816b2e.tar.bz2
baselayout-vserver-01cfc67f0ac727187a6faf0161f000bb44816b2e.zip
Merging r2042, preparing stabilization of baselayout-1.12.0
svn path=/baselayout-vserver/branches/baselayout-1_12/; revision=361
Diffstat (limited to 'net-scripts/net/br2684ctl.sh')
-rw-r--r--net-scripts/net/br2684ctl.sh15
1 files changed, 7 insertions, 8 deletions
diff --git a/net-scripts/net/br2684ctl.sh b/net-scripts/net/br2684ctl.sh
index 445d2f1..e325817 100644
--- a/net-scripts/net/br2684ctl.sh
+++ b/net-scripts/net/br2684ctl.sh
@@ -35,16 +35,15 @@ br2684ctl_pre_start() {
return 1
fi
- if [[ " ${!opts} " != *" -b "* ]] ; then
- eerror "The -b option is not allowed for br2684ctl_${ifvar}"
+ if [[ " ${!opts} " == *" -b "* || " {!opts} " == *" -c "* ]] ; then
+ eerror "The -b and -c options are not allowed for br2684ctl_${ifvar}"
return 1
fi
einfo "Starting RFC 2684 Bridge control on ${iface}"
-
start-stop-daemon --start --exec /sbin/br2684ctl --background \
--make-pidfile --pidfile "/var/run/br2684ctl-${iface}.pid" \
- -- ${!opts} -c "${number}"
+ -- -c "${number}" ${!opts}
eend $?
}
@@ -52,14 +51,14 @@ br2684ctl_pre_start() {
br2684ctl_post_stop() {
local iface="$1"
local number="${iface#${iface%%[0-9]}}"
+ local pidfile="/var/run/br2684ctl-${iface}.pid"
- [[ $(itype "${iface}") != "nas" ]] && return 0
+ [[ $(interface_type "${iface}") != "nas" ]] && return 0
- [[ -e /var/run/br2864ctl-${iface}.pid ]] || return 0
+ [[ -e ${pidfile} ]] || return 0
einfo "Stopping RFC 2684 Bridge control on ${iface}"
- start-stop-daemon --stop --exec /sbin/br2864ctl \
- --pidfile "/var/run/br2684ctl-${iface}.pid"
+ start-stop-daemon --stop --exec /sbin/br2684ctl --pidfile "${pidfile}"
eend $?
}